Skip to main content
GET
List of CLI Devices

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user
string
required

The user ID

Query Parameters

page[size]
integer
default:500

The number of results that will be returned per page.

page[number]
integer

The page number to start the pagination from.

filter[id]
string
filter[app_composer_path]
string
filter[app_composer_version]
string
filter[app_cli_version]
string
filter[app_php_path]
string
filter[app_php_version]
string
filter[ip_address]
string
filter[os_chipset]
string
filter[os_hostname]
string
filter[os_platform]
string
filter[os_serial]
string
filter[os_uuid]
string
filter[os_version]
string
filter[created_before]
string
filter[created_after]
string
filter[updated_before]
string
filter[updated_after]
string
filter[deleted_before]
string
filter[deleted_after]
string
filter[trashed]
string

Can be a value of with (response will contain deleted items as well), only (will contain only deleted items), or any arbitrary value (will contain only not deleted items).

sort
enum<string>[]
Available options:
workspace_user_id,
-workspace_user_id,
app_composer_path,
-app_composer_path,
app_composer_version,
-app_composer_version,
app_cli_version,
-app_cli_version,
app_php_path,
-app_php_path,
app_php_version,
-app_php_version,
ip_address,
-ip_address,
os_chipset,
-os_chipset,
os_hostname,
-os_hostname,
os_platform,
-os_platform,
os_serial,
-os_serial,
os_uuid,
-os_uuid,
os_version,
-os_version,
-user_id,
--user_id,
-app_composer_path,
--app_composer_path,
-app_composer_version,
--app_composer_version,
-app_cli_version,
--app_cli_version,
-app_php_path,
--app_php_path,
-app_php_version,
--app_php_version,
-ip_address,
--ip_address,
-os_chipset,
--os_chipset,
-os_hostname,
--os_hostname,
-os_platform,
--os_platform,
-os_serial,
--os_serial,
-os_uuid,
--os_uuid,
-os_version,
--os_version

Response

Paginated set of WorkspaceDeviceDetailedResponseData

current_page
integer
required
Required range: x >= 1
data
WorkspaceDeviceDetailedResponseData · object[]
required
first_page_url
string | null
required
from
integer | null
required
Required range: x >= 1
last_page_url
string | null
required
last_page
integer
required
Required range: x >= 1

Generated paginator links.

next_page_url
string | null
required
path
string | null
required

Base path for paginator generated URLs.

per_page
integer
required

Number of items shown per page.

Required range: x >= 0
prev_page_url
string | null
required
to
integer | null
required

Number of the last item in the slice.

Required range: x >= 1
total
integer
required

Total number of items being paginated.

Required range: x >= 0